#
# Conditional build:
%bcond_with	bootstrap	# bootstrap build without PEAR installed (for first php-pear-PEAR installation)

%define		status		stable
%define		pearname	Console_Getopt
Summary:	%{pearname} - Command-line option parser
Summary(pl.UTF-8):	%{pearname} - Parser opcji linii poleceń
Name:		php-pear-%{pearname}
Version:	1.4.3
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	78620b71acdf113968c3482845bcbbc2
URL:		http://pear.php.net/package/Console_Getopt/
%if %{without bootstrap}
BuildRequires:	php-pear-PEAR
%endif
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	rpm-whiteout
Conflicts:	rpm-whiteout < 1.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a PHP implementation of "getopt" supporting both short and
long options.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Jest to PHP-owa implementacja "getopt" wspierająca długie i krótkie
opcje.

Ta klasa ma w PEAR status: %{status}.

%prep
%if %{without bootstrap}
%pear_package_setup
%else
%setup -q -c -n %{pearname}-%{version}
%{__mv} %{pearname}-%{version}/* .
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}

%if %{without bootstrap}
%pear_package_install
%else
cp -pr Console $RPM_BUILD_ROOT%{php_pear_dir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{without bootstrap}
%doc install.log
%{php_pear_dir}/.registry/console_getopt.reg
%endif
%{php_pear_dir}/Console/Getopt.php
%changelog
* Thu Jun 20 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Console_Getopt.git;a=log;h=master

* Thu Jun 20 2024 Jan Rękorajski <baggins@pld-linux.org> 82b2d68
- Release 3 (by relup.sh)

* Wed Jun 12 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 8958368
- rel 2

* Sun May 03 2020 Marcin Krol <hawk@tld-linux.org> c7bf1e6
- updated to 1.4.3

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a0a865b
- drop obsolete and outdated manual inclusion of rpm macros

* Wed May 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 5cbf97e
- added bootstrap bcond

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> 0ad172b
- up to 1.4.1

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> d2e4cf4
- updated to: 1.3.1

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 659059f
- updated to: 1.3.0

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 1f4ba2d
- depend on rpm-whiteout to get proper dependency whiteout macro
- NOTE: do not convert to R>version, as then dependency could be solved in same transaction and rpm doesn't read new macros

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 52b4137
- rel 2

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 92eca5e
- up to 1.2.3

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> 15451ec
- 1.2.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3412706
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 17acf8d
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> b09957b
- updated to 1.2.1

* Tue Dec 19 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> be8d9aa
- rel 5

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 2fa599f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 002081d
- BR php-pear-PEAR

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> df46701
- rel 4

* Fri Sep 30 2005 Elan Ruusamäe <glen@pld-linux.org> e1585a4
- rel 3

